---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci status`

View a running CI/CD pipeline on current or other branch specified.

```plaintext
glab ci status [flags]
```

## Aliases

```plaintext
stats
```

## Examples

```plaintext
glab ci status --live

# A more compact view
glab ci status --compact

# Get the pipeline for the main branch
glab ci status --branch=main

# Get the pipeline for the current branch
glab ci status

```

## Options

```plaintext
  -b, --branch string   Check pipeline status for a branch. Default: current branch.
  -c, --compact         Show status in compact format.
  -l, --live            Show status in real time until the pipeline ends.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
